summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_install_rpm.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-02-26 21:54:12 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-02-26 21:54:12 +0000
commitc6d6e08feab839a9dc5792071fb803494cc51a69 (patch)
tree1513c817e4446ac3cf512d6c1f287a10fc1daf2e /subr/pkg_install_rpm.subr
parent4a5da5254e1207686f492e7ce8759c80466185f3 (diff)
downloadmidipix_build-c6d6e08feab839a9dc5792071fb803494cc51a69.tar.bz2
midipix_build-c6d6e08feab839a9dc5792071fb803494cc51a69.tar.xz
General cleanup, pt. II.
Diffstat (limited to 'subr/pkg_install_rpm.subr')
-rw-r--r--subr/pkg_install_rpm.subr8
1 files changed, 4 insertions, 4 deletions
diff --git a/subr/pkg_install_rpm.subr b/subr/pkg_install_rpm.subr
index b3c939ab..ae76ac70 100644
--- a/subr/pkg_install_rpm.subr
+++ b/subr/pkg_install_rpm.subr
@@ -4,7 +4,7 @@
pkg_install_rpm() {
local _pkg_url="" _pkg_version_full="" _pkg_version_rpm="" _rc=0;
- if ex_rtl_lmatch "${ARG_DIST}" "rpm" ","\
+ if rtl_lmatch "${ARG_DIST}" "rpm" ","\
&& [ "${PKG_RPM_DISABLE:-0}" -eq 0 ]\
&& [ -x "$(which rpmbuild 2>/dev/null)" ]; then
if [ -n "${PKG_URL}" ]; then
@@ -17,7 +17,7 @@ pkg_install_rpm() {
_pkg_url="Unknown";
fi;
fi;
- if ! ex_rtl_fileop cp "${MIDIPIX_BUILD_PWD}/etc/package.spec" \
+ if ! rtl_fileop cp "${MIDIPIX_BUILD_PWD}/etc/package.spec" \
"${PKG_BASE_DIR}/${PKG_NAME}-${_pkg_version_rpm}.spec"; then
return 1;
else while true; do
@@ -41,8 +41,8 @@ pkg_install_rpm() {
done;
if ! find "${PREFIX_RPM}/${PKG_NAME}-${_pkg_version_rpm}/RPMS" \
-iname \*.rpm -exec cp -pP {} "${PREFIX_RPM}/" \; \
- || ! ex_rtl_fileop rm "${PREFIX_RPM}/${PKG_NAME}-${_pkg_version_rpm}" \
- || ! ex_rtl_fileop cp "${PKG_BASE_DIR}/${PKG_NAME}-${_pkg_version_rpm}.spec" "${PREFIX_RPM}/"; then
+ || ! rtl_fileop rm "${PREFIX_RPM}/${PKG_NAME}-${_pkg_version_rpm}" \
+ || ! rtl_fileop cp "${PKG_BASE_DIR}/${PKG_NAME}-${_pkg_version_rpm}.spec" "${PREFIX_RPM}/"; then
return "${?}";
fi;
fi;